/*************************************************************************
*
* YahooPOPs!
*
* YahooPOPs! is an application that provides POP3 access to Yahoo! Mail.
* You do not need to enable POP3 access with Yahoo! to use this program.
* This program works within the license agreement of Yahoo! to provide
* you with POP3 access.
*
* YahooPOPs! emulates a POP3 mail server and should work with most of the
* email clients. Since YahooPOPs! is not a full-fledged POP3 mail server
* you might find it not working with all mail clients. Do keep us informed
* about such mail clients so that we can enhance YahooPOPs!
*
* Official Website: http://yahoopops.sourceforge.net
*
*-------------------------------------------------------------------------
*
* Name    :	YahooStuff.cpp
*
* Purpose : Yahoo URL definitions and string tables
*
* Authors : Anuj Seth
* 			K.Shyam 
*
* License : GNU Public License (Version 2 or later)
*
*-------------------------------------------------------------------------
*
* THIS SOFTWARE IS PROVIDED ``AS IS'' BY THE AUTHORS AND INDEPENDENT
* CONTRIBUTORS AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
* PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR 
* CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
* EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
* PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
* PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
* NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
* SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*************************************************************************/
#include <string.h>
#include "YahooStuff.h"

char yahoo[12][100];
char yahooMbox[3][20];

void YahooSetup()
{
	strcpy(yahoo[HTTP_LOGIN], "http://login.yahoo.com/config/login");
	strcpy(yahoo[HTTPS_LOGIN], "https://login.yahoo.com/config/login");
	strcpy(yahoo[MBOX], "http://%s/ym/ShowFolder?box=%s&Npos=%d&Nview=%c");
	strcpy(yahoo[MSG], "http://%s/ym/ShowLetter?box=%s&PRINT=1&Nhead=f&toc=1&MsgId=%s&bodyPart=%s");
	strcpy(yahoo[DEL], "http://%s/ym/ShowFolder?box=%s&DEL=Delete"); // &Mid=%s&.crumb=%s
	strcpy(yahoo[TRASH], "http://%s/ym/ShowFolder?ET=1&.crumb=%s&reset=1"); // &box=Inbox
	strcpy(yahoo[UNREAD], "http://%s/ym/ShowFolder?box=%s&UNR=1&.crumb=%s"); // &Mid=%s
	strcpy(yahoo[COMPOSE_GET], "http://%s/ym/Compose");
	strcpy(yahoo[COMPOSE_POST], "http://%s/ym/Compose?YY=%s");
	strcpy(yahoo[COMPOSE_ATTACH], "http://%s/ym/Attachments?YY=%s");
	strcpy(yahoo[EMPTY_BULKMAIL], "http://%s/ym/ShowFolder?EB=1&.crumb=%s&reset=1");

	strcpy(yahooMbox[MB_INBOX], "Inbox");
	strcpy(yahooMbox[MB_BULKMAIL], "@B@Bulk");
	strcpy(yahooMbox[MB_TRASH], "Trash");
}

